Subject: Re: bug#20472: 24.4; Cannot switch buffers in a dedicated window - report this error earlier

From: Stefan Monnier <[email-masked]>
Date: Thu, 30 Apr 2015 21:46:20 -0400

>> Cannot switch buffers in a dedicated window
>> 
>> This error message should appear earlier, as soon as C-x b is given.
>> Emacs should not ask you to type in the new buffer name before it tells
>> you that switching buffers is not allowed.

> Indeed.  Unless someone has a better idea I'll install something like
> the below.

An alternative would be to make C-x b use another window in such a case.
I.e. remove the `force-same-window' argument (I think that would make
sense at least for the window-minibuffer-p case).  An other alternative
would be to un-dedicate the window (only after prompting the user, tho).

        Stefan